program main
use pes_shell
  implicit none

  real(kind=wp)::auang=0.5291772083
  real(kind=wp)::xx(3,10)
  character::symb(10)
  character(len=32)::filename
  integer::i,j,natm
  real(kind=wp)::pot

  call getarg(1,filename)
  open(21,status='old',file=trim(filename))

  !======================================!
  ! firts initialize the potential       !
  ! only need to initialize once in the  !
  ! main program                         !
  !======================================!
  call pes_init()

  read(21,*) natm
  read(21,*)
  do i=1,natm
     read(21,*) symb(i),xx(:,i)
  end do

  !======================================!
  ! The geometry in the input file is in !
  ! Angstrom, and here we convert them   !
  ! to Bohr                              !
  !======================================!
  xx=xx/auang

  !======================================!
  ! Calculate the potential.             !
  ! Energy in Hartree is returned        !
  !======================================!
  pot=f(xx)
  write(*,'(A,F15.8,A)') "Potential:",pot," Hartree"

end program main
