MODULE pes_shell
!..use and access
use pes, wp=>pes_wp

implicit none
public :: pes_init, f
!..data
save
integer, parameter :: nki(0:2)=(/4,4,2/)
integer, parameter :: nk=10
integer, parameter :: iord(0:nk-1)=(/1,2,3,4,5,6,7,8,9,10/)
real(kind=wp) :: x1_cf, y1_cf, z1_cf
type(cx_t) :: x4y4z2_pc = cx_null
!type(cx_t) :: x4y4z2_vpc = cx_null 
!real(kind=wp) :: x1_vcf(0:0), y1_vcf(0:0), z1_vcf(0:0)
real(kind=wp), allocatable :: x4y4z2_cf(:)!, x4y4z2_vcf(:)   

CONTAINS
  SUBROUTINE pes_init()
    character(len=80) :: dirname = "../coef"
    integer :: iun, nb
    logical :: b0
    character(len=255) :: chd

    call pes_getiun (iun)
    b0 = dirname(len_trim(dirname):len_trim(dirname)).eq.'/'
    if (b0) then
       chd = dirname
    else
       chd = trim(dirname)//'/'
    endif

    write (*,*) 'Principal data directory: ', chd(1:len_trim(chd))
    write (*,*) 'Reading pcf-x4y4z2.dat'
    open (iun, status='old', file=trim(chd)//'pcf-x4y4z2.dat')
    read (iun,*) x4y4z2_pc
    read (iun,*) nb
    if (nb.ne.pes_x4y4z2_nb(x4y4z2_pc%dg)) then
       stop 'pes_init: x4y4z2 dimension error'
    endif

    allocate (x4y4z2_cf(0:nb-1))
    if (1.le.nb) then
       read (iun,*) x4y4z2_cf
    endif
    close (iun)

  END SUBROUTINE pes_init
    
  FUNCTION f(xn) 
    implicit none
    real(kind=wp), dimension(:,:), intent(in) :: xn
    real(kind=wp) :: f
    !:::::::::::::::::::::::::::::::::
    real (kind=wp) :: r(0:nk-1,0:nk-1)
    
    call pes_dists(xn, r)
    f = cx_f442(nki, r, x4y4z2_pc, x4y4z2_cf)   

    return
  END FUNCTION f 

END MODULE pes_shell
